Name:		gnomint
Version:	1.2.1
Release:	128%{?dist}
Summary:	Graphical x509 Certification Authority management tool

Group:		Applications/System
License:	GPLv3+
URL:		http://gnomint.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-DSO-libgcrypt.patch
Patch1:		gnomint-1.2.1-compilefixes.patch

BuildRequires:	gnutls-devel >= 2
BuildRequires:	libgnomeui-devel
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	perl(XML::Parser)
BuildRequires:	sqlite-devel >= 3
BuildRequires:	intltool
BuildRequires:	readline-devel
BuildRequires:	libgcrypt-devel

Requires(pre):	GConf2
Requires(post):	GConf2
Requires(preun):GConf2

%description
Certification Authority management made easy.

gnoMint is a x509 Certification Authority management tool for
GTK/Gnome environments.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .fix

%build
autoreconf
%configure --disable-dependency-tracking --disable-schemas-install
make %{?_smp_mflags} CFLAGS="%{optflags} -Wno-unused-but-set-variable"


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-install --delete-original \
  --remove-category=Application \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%post
update-desktop-database %{_datadir}/applications || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
touch --no-create %{_datadir}/mime/packages &> /dev/null || :

%postun
update-desktop-database %{_datadir}/applications || :
if [ $1 -eq 0 ]; then
touch --no-create %{_datadir}/mime/packages &> /dev/null || :
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
fi

%posttrans
touch --no-create %{_datadir}/mime/packages &> /dev/null || :
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :

%files -f %{name}.lang
%doc README AUTHORS COPYING NEWS MAINTAINERS 
%doc ChangeLog
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_bindir}/%{name}-upgrade-db
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/%{name}/*.ui

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-128
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-127
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Oct 02 2014 Rex Dieter <rdieter@fedoraproject.org> 1.2.1-126
- update mime scriptlet

* Mon Sep 08 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 1.2.1-125
- Fix misapplication of libgcrypt patch (#1106691)

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-124
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jul 04 2014 Adam Huffman <bloch@verdurin.com> - 1.2.1-123
- Fix for libgcrypt patch by Yaakov Selkowitz <yselkowi@redhat.com> (#1106691)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-122
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jun 02 2014 Adam Huffman <bloch@verdurin.com> - 1.2.1-12
- Fix building on aarch64

* Wed Apr 23 2014 Tomáš Mráz <tmraz@redhat.com> - 1.2.1-11
- Rebuild for new libgcrypt

* Mon Aug 05 2013 Adam Huffman <bloch@verdurin.com> - 1.2.1-10
- Explicit BR for libgcrypt-devel

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 25 2013 Tom Callaway <spot@fedoraproject.org> - 1.2.1-8
- get this building again

* Sun Mar 24 2013 Peter Robinson <pbrobinson@fedoraproject.org> 1.2.1-7
- rebuild (gnutls)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.2.1-3
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 27 2010 Adam Huffman <bloch@verdurin.com> - 1.2.1-1
- new upstream feature and bugfix release
  - full changelog at http://gnomint.sourceforge.net/?q=node
- use macros consistently
- drop cflags patch
- fix cflags via install section

* Sun Feb 14 2010 Adam Huffman <bloch@verdurin.com> - 1.1.0-2
- fix for DSO linking error

* Thu Jan 14 2010 Adam Huffman <bloch@verdurin.com> - 1.1.0-1
- new upstream release 1.1.0
- use GtkBuilder instead of Libglade
- correct bug affecting showpolicy command in gnomint-cli
- fix some problems affecting databases with different certificates with the same DN
- add Catalan translation
- update all translations from Launchpad

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Adam Huffman <bloch@verdurin.com> - 1.0.0-1
- new stable upstream release
- added forgotten crlgen function to gnomint-cli text-based interface
- fix compilation with GnuTLS 2.8.0
- new translations and translation updates

* Tue Apr 28 2009 Adam Huffman <bloch@verdurin.com> - 0.9.1-5
- workaround patch tag problem

* Sun Apr 26 2009  Adam Huffman <bloch@verdurin.com> - 0.9.1-4
- really fix 496518

* Tue Apr 21 2009  Adam Huffman <bloch@verdurin.com> - 0.9.1-3
- fix for bug 496518 - $RPM_OPT_FLAGS not used

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 21 2009 Adam Huffman <bloch@verdurin.com> - 0.9.1-1
- new upstream release including command-line interface
- thanks to Seva Epsteyn for spec patch

* Fri Nov 21 2008 Adam Huffman <bloch@verdurin.com> - 0.6.0-1
- new upstream release

* Thu Oct  9 2008 Adam Huffman <bloch@verdurin.com> - 0.5.4-2
- ensure correct CFLAGS
- don't call gconf-2 during rpmbuild
- fix scriptlet closures

* Sun Oct  5 2008 Adam Huffman <bloch@verdurin.com> - 0.5.4-1
- new upstream release
- remove compilation fix patch
- add BR for intltool
- remove Application category from .desktop file

* Sun Sep 28 2008 Adam Huffman <bloch@verdurin.com> - 0.5.3-3
- add compilation fix patch

* Tue Sep 23 2008 Adam Huffman <bloch@verdurin.com> - 0.5.3-2
- remove redundant BR
- remove empty/inappropriate doc files
- pre/post/preun Requires
- fix License tag


* Sun Sep 21 2008 Adam Huffman <bloch@verdurin.com> - 0.5.3-1
- initial version

